const fse = require("fs-extra");
const path = require("path");

const sourceDir = path.join(__dirname, "..\\..\\VSWizardSampleModel");
const destinationDir = path.join(__dirname, "..\\VSWizardSampleModel");

function clearDirectory(directory) {
  fse.removeSync(directory);
  fse.mkdirSync(directory);
}

function copyFiles(src, dest) {
  try {
    fse.copySync(src, dest, { overwrite: true | false });
    console.log("copying was successful!");
  } catch (err) {
    console.error(err);
  }
}

clearDirectory(destinationDir);
copyFiles(sourceDir, destinationDir);
